| Qore Logger Module Reference 0.2

Public Member Functions | Private Attributes | List of all members
Logger::LoggerFilterLevel Class Reference

Implements the filter according event LoggerLevel. More...

Inheritance diagram for Logger::LoggerFilterLevel:
[legend]

## Public Member Functions
| constructor (LoggerLevel min_value=LoggerLevel::getLevelInfo(), LoggerLevel max_value=LoggerLevel::getLevelOff())
| Creates the object. More...
| constructor (int min_value, int max_value=LoggerLevel::OFF)
| Creates the object. More...
| constructor (string min_value, string max_value='OFF')
| Creates the object. More...
int | eval (LoggerEvent event)
| Implements filtering by level.
LoggerLevel | getMaxLevel ()
| Returns the maximum logging level.
LoggerLevel | getMinLevel ()
| Returns the minimum logging level.
| setMaxLevel (LoggerLevel value)
| Sets the maximum logging level. More...
| setMaxLevel (int value)
| Sets the maximum logging level. More...
| setMaxLevel (string value)
| Sets the maximum logging level. More...
| setMinLevel (LoggerLevel value)
| Sets the minimum logging level. More...
| setMinLevel (int value)
| Sets the minimum logging level. More...
| setMinLevel (string value)
| Sets the minimum logging level. More...
Public Member Functions inherited from Logger::LoggerFilter
int | eval (LoggerEvent event)
| Performs filtering logic on an event and returns the decision for the event. More...

## Private Attributes
LoggerLevel | maxLevel
| max.level
LoggerLevel | minLevel
| min.level

## Additional Inherited Members
Public Attributes inherited from Logger::LoggerFilter
const | ACCEPT = 1
| The event will be processed.
const | DENY = -1
| The event should not be processed.
const | NEUTRAL = 0
| No decision could be made, further filtering should occur.

## Detailed Description

Implements the filter according event LoggerLevel.

When LoggerEvent::getLevel does not satisfy the filter condition, then logging is rejected.

The min and max levels define the range to be logged (if min <= max.level) or range which won't be logged (if max < min.level)

## Member Function Documentation

## ◆ constructor() [1/3]

Logger::LoggerFilterLevel::constructor | ( | LoggerLevel | min_value = `LoggerLevel::getLevelInfo()`,
|  | LoggerLevel | max_value = `LoggerLevel::getLevelOff()`
| ) |  |

Creates the object.

Parameters

  min_value | the minimum logging level
  max_value | the maximum logging level

## ◆ constructor() [2/3]

Logger::LoggerFilterLevel::constructor | ( | int | min_value,
|  | int | max_value = `LoggerLevel::OFF`
| ) |  |

Creates the object.

Parameters

  min_value | the minimum logging level
  max_value | the maximum logging level

## ◆ constructor() [3/3]

Logger::LoggerFilterLevel::constructor | ( | string | min_value,
|  | string | max_value = `'OFF'`
| ) |  |

Creates the object.

Parameters

  min_value | the minimum logging level
  max_value | the maximum logging level

## ◆ setMaxLevel() [1/3]

Logger::LoggerFilterLevel::setMaxLevel | ( | LoggerLevel | value | ) |

Sets the maximum logging level.

Parameters

  value | the maximum logging level

## ◆ setMaxLevel() [2/3]

Logger::LoggerFilterLevel::setMaxLevel | ( | int | value | ) |

Sets the maximum logging level.

Parameters

  value | the maximum logging level

## ◆ setMaxLevel() [3/3]

Logger::LoggerFilterLevel::setMaxLevel | ( | string | value | ) |

Sets the maximum logging level.

Parameters

  value | the maximum logging level

## ◆ setMinLevel() [1/3]

Logger::LoggerFilterLevel::setMinLevel | ( | LoggerLevel | value | ) |

Sets the minimum logging level.

Parameters

  value | the minimum logging level

## ◆ setMinLevel() [2/3]

Logger::LoggerFilterLevel::setMinLevel | ( | int | value | ) |

Sets the minimum logging level.

Parameters

  value | the minimum logging level

## ◆ setMinLevel() [3/3]

Logger::LoggerFilterLevel::setMinLevel | ( | string | value | ) |

Sets the minimum logging level.

Parameters

  value | the minimum logging level